/*----------------------------------------------------------------------------
*/

#include "usart.h"

//----------------------------------------------------------------------------
//Init serielle Schnittstelle
void usart_init(unsigned int ubrr) 
{ 
  	/* Enable receiver and transmitter */
	UCSRB =(1<<RXEN)|(1<<TXEN);
	/* Set baud rate */
	UBRRH = (unsigned char)(ubrr>>8);
	UBRRL = (unsigned char)ubrr;
	/* Set frame format:schreibfreigabe des Registers: URSEL=1; 1stop bit: USBS=0 ; 8data bits: UCSZ0=3*/
	UCSRC = (1<<URSEL)|(0<<USBS)|(3<<UCSZ0);
}

//----------------------------------------------------------------------------
//Routine fr die Serielle Ausgabe eines Zeichens
void usart_write_char(unsigned char data)
{
	//Warte bis Puffer leer
	while( !( UCSRA & (1<<UDRE)) );
	
	//Ausgabe des Zeichens
	UDR = data;
	return;
}

//----------------------------------------------------------------------------
//Ausgabe eines Strings
void usart_write_str(char *str)
{
	while (*str)
	{
		usart_write_char(*str++);
	}
}





